commit d27bcf2954945a1a91921f91281bb64f896062ea
Author: Yuliya Bozhko <yuliya.bozhko@totaralms.com>
Date:   Fri Jun 21 15:40:26 2013 +1200

    T-10834 facetoface: Include users with roles from higher contexts as session trainers
    
    Change-Id: I97f29131065f6c06c7a6cea529d7488696997a94
    Reviewed-on: https://review.totaralms.com/3447
    Tested-by: Jenkins Automation <jenkins@totaralms.com>
    Reviewed-by: Moises Burgos <moises.burgos@totaralms.com>
    Reviewed-by: David Curry <david.curry@totaralms.com>

diff --git a/mod/facetoface/session_form.php b/mod/facetoface/session_form.php
index 656e508..ec2c8df 100644
--- a/mod/facetoface/session_form.php
+++ b/mod/facetoface/session_form.php
@@ -186,21 +186,8 @@ class mod_facetoface_session_form extends moodleform {
             foreach ($roles as $role) {
                 $rolename = format_string($rolenames[$role->id]->localname);
 
-                // Attempt to load users with this role in this course
-                $rs = $DB->get_recordset_sql("
-                    SELECT
-                        u.id,
-                        u.firstname,
-                        u.lastname
-                    FROM
-                        {role_assignments} ra
-                    LEFT JOIN
-                        {user} u
-                      ON ra.userid = u.id
-                    WHERE
-                        contextid = {$context->id}
-                    AND roleid = {$role->id}
-                ");
+                // Attempt to load users with this role in this context.
+                $rs = get_role_users($role->id, $context, true, 'u.id, u.firstname, u.lastname', 'u.id ASC');
 
                 if (!$rs) {
                     continue;
@@ -210,7 +197,6 @@ class mod_facetoface_session_form extends moodleform {
                 foreach ($rs as $roleuser) {
                     $choices[$roleuser->id] = fullname($roleuser);
                 }
-                $rs->close();
 
                 // Show header (if haven't already)
                 if ($choices && !$header_shown) {
